Donald Glover Cast As The Young Lando Calrissian In The Han Solo Standalone Film!
21 Oct. 2016

Donald Glover Cast As The Young Lando Calrissian In The Han Solo Standalone Film!


Some big casting news today, as StarWars.com has just announced that actor Donald Glover has been cast as the young Lando Calrissian in the Han Solo standalone film!

Here is how Lucasfilm describes Lando in the time period that the Han Solo film will take place in:

This new film depicts Lando in his formative years as a scoundrel on the rise in the galaxy’s underworld — years before the events involving Han, Leia, and Darth Vader in The Empire Strikes Back and his rise to Rebel hero in Return of the Jedi.

And here is what Directors Phil Lord and Chris Miller have to say about Glover’s casting:

“We’re so lucky to have an artist as talented as Donald join us. These are big shoes to fill, and an even bigger cape, and this one fits him perfectly, which will save us money on alterations. Also, we’d like to publicly apologize to Donald for ruining Comic-Con for him forever.”

We’ve heard Donald Glover’s name come up in rumors for the part of the young Lando before, and it sounded like that would be great casting, so I’m really glad it ended up being true!

I’m really excited for the Han Solo movie, as not only will we see Han and Chewie in their younger years, but now we will see a young Lando in the mix too! And hopefully this means we will see that fateful Sabacc game between Han and Lando as well!

About the author

Tags

Related posts

Episode 95: The Galaxy’s Edge
Episode 95: The Galaxy’s Edge
July 21, 2017 - 0 comment
Star Wars Land Now Officially Named Star Wars: Galaxy’s Edge. Plus New Details
July 16, 2017 - 0 comment
New The Last Jedi Images & Details Revealed From Vanity Fair
New The Last Jedi Images & Details Revealed From Vanity Fair
May 24, 2017 - 0 comment
Bob Iger Shares New Information On The Young Han Solo Film
Bob Iger Shares New Information On The Young Han Solo Film
March 23, 2017 - 0 comment


Leave a Reply

* fields required